#
# spec file for package python-serpy
#
# Copyright (c) 2018 SUSE LINUX GmbH, Nuernberg, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via https://bugs.opensuse.org/
#


%{?!python_module:%define python_module() python-%{**} python3-%{**}}
Name:           python-serpy
Version:        0.3.1
Release:        4.1
Summary:        Object serialization for Python
License:        MIT
Group:          Development/Languages/Python
Url:            https://github.com/clarkduvall/serpy
Source:         https://files.pythonhosted.org/packages/source/s/serpy/serpy-%{version}.tar.gz
BuildRequires:  %{python_module setuptools}
BuildRequires:  fdupes
BuildRequires:  python-rpm-macros
# SECTION test requirements
BuildRequires:  %{python_module six}
# /SECTION
Requires:       python-six
BuildArch:      noarch

%python_subpackages

%description
Serpy is an object serialization framework. Serpy serializes complex
datatypes (Django Models, custom
classes, ...) to simple native types (dicts, lists, strings, ...).
The native types can easily be converted to JSON or any other format
needed.

Since serializers are class based, they can be combined,
extended and customized with little code duplication. Compared
to other Python serialization frameworks like marshmallow or
Django Rest Framework Serializers, serpy is an order of
magnitude faster.

%prep
%setup -q -n serpy-%{version}

%build
%python_build

%install
%python_install
%python_expand %fdupes %{buildroot}%{$python_sitelib}

%files %{python_files}
%doc README.rst
%license LICENSE
%{python_sitelib}/*

%changelog
* Tue Dec  4 2018 mcepl@suse.com
- Remove superfluous devel dependency for noarch package
* Sun Jul 29 2018 jengelh@inai.de
- Trim ridiculous description boasting.
* Thu May 24 2018 toddrme2178@gmail.com
- Update to 0.3.1
  * dont catch for methodfield
- Update to 0.3.0
  * fix None
- spec file cleanups
* Fri Oct 20 2017 toddrme2178@gmail.com
- initial version
